import QtQuick 2.0
import Ubuntu.Components 0.1
import "ChartComponent.js" as ChartFunctions

Rectangle {
    id: chart
    anchors.horizontalCenter: parent.horizontalCenter
    width: parent.width-units.gu(2)
    height: units.gu(20)

    property string backgroundColor: "#D6D6D6"
    property string gridColor: "#FFFFFF"
    property int gridWidth: 1
    property int gridHorizontalLinesCount: 4
    property int headerSize: units.gu(4)
    property string trendColor: "#313131"
    property int trendWidth: 2
    //property variant xAxisHours: [0,6,12,18,24]
    property variant xAxisHours: [0,3,6,9,12,15,18,21,24]
    property variant temperatures: [{"time" : "0:10", "temp" : "3"},
                                    {"time" : "2:00", "temp" : "7"},
                                    {"time" : "6:00", "temp" : "9"},
                                    {"time" : "10:30", "temp" : "12"},
                                    {"time" : "12:00", "temp" : "24"},
                                    {"time" : "18:10", "temp" : "20"},
                                    {"time" : "22:22", "temp" : "10"}]
    property bool showExtremeHours: false

    function refresh()
    {
        ChartFunctions.refresh();
    }

    UbuntuShape{
       id: contentShape
       radius: "small"
       width: parent.width
       height: parent.height-units.gu(6)
       anchors.bottom: parent.bottom
       anchors.bottomMargin: units.gu(1)
       color: backgroundColor
    }
    Canvas{
        id:canvas
        width: parent.width
        height: parent.height-units.gu(2)
        anchors.bottom: parent.bottom
        anchors.bottomMargin: units.gu(1)
        antialiasing: true

        onPaint: {
            ChartFunctions.canvas = canvas;
            ChartFunctions.chart = chart;

            ChartFunctions.canvasHeight = canvas.height;
            ChartFunctions.canvasWidth = canvas.width;
            ChartFunctions.canvasXOffset = 0;
            ChartFunctions.canvasYOffset = canvas.height - contentShape.height;

            ChartFunctions.draw();
        }
   }
}
