/*
 * Copyright (C) 2013 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Martin Borho <martin@borho.net>
 */
import QtQuick 2.0
import Ubuntu.Components 0.1

Rectangle {
    width: parent.width
    height: childrenRect.height
    color: "transparent"
    property bool borderTopVisible: true
    property string dateRelative: ""
    property string dateString: ""
    property string borderColor: "transparent"
    property int borderHeight: units.gu(0.1)

    Component.onCompleted: {        
        renderText()
    }

    function renderText() {
        var dateText = ""
        if(dateRelative !== "") {
            dateText += dateRelative+", ";
        }
        dateText += dateString
        dayText.text = dateText
    }

    Rectangle {
        id: topBorder
        visible: borderTopVisible
        width:parent.width
        height: borderHeight
        color: borderColor
    }

    Item {
        id: dayLabel
        width:parent.width-units.gu(4.5)
        height: units.gu(4)
        anchors.top: topBorder.bottom
        anchors.horizontalCenter: parent.horizontalCenter

        Label {
            id: dayText
            objectName: "DayDateLabel"
            height: parent.height
            verticalAlignment: Text.AlignVCenter
            color: Theme.palette.normal.baseText
            style: Text.Raised
        }
    }

    Rectangle {
        width:parent.width
        height: borderHeight
        anchors.top: dayLabel.bottom
        color: borderColor
    }
}
