import QtQuick 2.0
import Ubuntu.Components 0.1
import "./" as Components

Rectangle {
    id: weatherCondition
    color: "transparent"
    height: units.gu(18)
    width: units.gu(19)
    state: ""

    property string condition: ""
    property int velocity: 50
    property int currentImage: 1
    property int totalImage: 50
    property NumberAnimation appearAnimation : appear

    /* temporary icon map */
    property var conditionicon: {
        "clear_day": "02",
        "clear_night": "12",
        "few_clouds_day": "05",
        "few_clouds_night": "04",
        "scattered_clouds_day": "05",
        "scattered_clouds_night": "04",
        "broken_clouds_day": "03",
        "broken_clouds_night": "03",
        "shower_rain_day": "01",
        "shower_rain_night": "01",
        "rain_day": "09",
        "rain_night": "09",
        "thunderstorm_day": "13",
        "thunderstorm_night": "13",
        "snow_day": "14",
        "snow_night": "14",
        "mist_day": "06",
        "mist_night": "06"
    }

    Image {
        id: icon
        anchors.centerIn: parent
        source: "../resources/images/"+conditionicon[condition]+"/"+currentImage+".png"
        height: units.gu(18)
        width: units.gu(18)
    }

    NumberAnimation {
        id: appear;
        target: weatherCondition;
        property: "currentImage";
        from: 1; to: totalImage;
        duration: UbuntuAnimation.SleepyDuration;
    }


    ParallelAnimation {
        id: change
        NumberAnimation {
            target: weatherCondition;
            property: "currentImage";
            from: 12;
            to: totalImage;
            duration: UbuntuAnimation.SleepyDuration;
        }
        NumberAnimation {
            target: weatherCondition;
            property: "opacity";
            from: 0.8;
            to: 1;
            duration: UbuntuAnimation.FastDuration;
            easing: UbuntuAnimation.StandardEasing;
        }
    }

    onConditionChanged: {change.restart()}
}
